KinoSearch1::Store::RAMInvIndex(3pm)

NAME
KinoSearch1::Store::RAMInvIndex - in-memory InvIndex

SYNOPSIS
    my $invindex = KinoSearch1::Store::RAMInvIndex->new(
        path   => '/path/to/invindex',
    );

    # or...
    my $invindex = KinoSearch1::Store::RAMInvIndex->new;

DESCRIPTION
RAMInvIndex is an entirely in-memory implementation of KinoSearch1::Store::InvIndex. It serves two main purposes.

First, it's possible to load an existing FSInvIndex into memory, which can improve search-speed -- if you have that kind of RAM to spare. Needless to say, any FSInvIndex you try to load this way should be appropriately modest in size.

Second, RAMInvIndex is handy for testing and development.

CONSTRUCTOR

  new
Create a RAMInvIndex object. "new" takes one optional parameter, "path". If "path" is supplied, KinoSearch1 will try to read an FSInvIndex at that location into memory.

COPYRIGHT
Copyright 2005-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.